#!/usr/bin/bash -eu

# a function to install apt packages only if they are not installed
function apt_install() {
    if ! dpkg -s "$@" >/dev/null 2>&1; then
        if [ "$(find /var/lib/apt/lists/* | wc -l)" = "0" ]; then
            apt-get update
        fi
        apt-get install -y --no-install-recommends "$@"
    fi
}

source /etc/os-release
apt-get update

READLINE_VERSION=8
if [ "${UBUNTU_CODENAME}" == "bionic" ]; then
    READLINE_VERSION=7
fi

# install system libraries
apt_install ca-certificates
apt-get autoremove -y
apt-get autoclean -y
rm -rf /var/lib/apt/lists/*
